Package com.enonic.xp.app

## Class ApplicationInfo

- java.lang.Object
- - com.enonic.xp.app.ApplicationInfo

-     public final class ApplicationInfo
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ApplicationInfo.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ApplicationInfo.Builder` | `create()` |
    `Contents` | `getContentReferences()` |
    `ContentTypes` | `getContentTypes()` |
    `IdProviderDescriptor` | `getIdProviderDescriptor()` |
    `IdProviders` | `getIdProviderReferences()` |
    `LayoutDescriptors` | `getLayouts()` |
    `MacroDescriptors` | `getMacros()` |
    `PageDescriptors` | `getPages()` |
    `PartDescriptors` | `getParts()` |
    `RelationshipTypes` | `getRelations()` |
    `Descriptors<TaskDescriptor>` | `getTasks()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getContentTypes

          public ContentTypes getContentTypes()

    - #### getPages

          public PageDescriptors getPages()

    - #### getParts

          public PartDescriptors getParts()

    - #### getLayouts

          public LayoutDescriptors getLayouts()

    - #### getRelations

          public RelationshipTypes getRelations()

    - #### getMacros

          public MacroDescriptors getMacros()

    - #### getTasks

          public Descriptors<TaskDescriptor> getTasks()

    - #### getContentReferences

          public Contents getContentReferences()

    - #### getIdProviderReferences

          public IdProviders getIdProviderReferences()

    - #### getIdProviderDescriptor

          public IdProviderDescriptor getIdProviderDescriptor()

    - #### create

          public static ApplicationInfo.Builder create()